#!/usr/bin/python

import gtk
from ubuntuone.gtkwidgets import MusicStore

def preview_mp3_cb(music_store, url, title):
    print "Requested preview of file %s with title %s" % (url, title)

def url_loaded_cb(music_store, url):
    print "URL loaded %s" % url

window = gtk.Window()
window.set_size_request(839, 600)
window.connect("destroy", gtk.main_quit)

store = MusicStore()
store.show()
store.connect("preview-mp3", preview_mp3_cb)
store.connect("url-loaded", url_loaded_cb)
window.add(store)
window.show()

gtk.main()
